Subject: [Capwap] IEEE 802.11 ADd WLAN and Update WLAN

From: "sujathav" <[email-masked]>
Date: Mon, 30 Jan 2006 11:15:00 +0530

Hi,

 1. The Update WLAN is available for pushing new  configuration to the WTP
when there are
changes to the WLAN configuration. It allows for change of encryption
policy.

The issue is that for some cases, when 802.11i is used, a change in
encryption policy cannot be
fully effected without re-programming the beacons that are to be sent out
from the Radio for this WLAN.

 Don't we need, along with other fields . a place-holder in the WLAN update
request for the RSN IE and
its length ? The RSN IE changes everytime there is a change in the RSNA
configuration for the WLAN
(like changing the Group Cipher / Adding more Pairwise Ciphers etc) and can
be sent out in the WLAN
Update .

 2. Isn't it likely for the WTP and AC to support more than one encryption
algorithm for the data
from the  mobile stations ? And the mobile stations can make a choice of the
encr algo that
they can use.

    In that case, the Encryption policy defined as part of  Update WLAN (
Section 11.8.1.3)
and Secn 11.8.1.1 (Add WLAN) should  be a bit-map.

Thanks
Sujatha

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: zhaoyujin 31390 <[email-masked]>
Date: Mon, 30 Jan 2006 14:03:06 +0500

I agree you.

Presently, one ESS should support multiple encryption method including "Auth Type" and "Encryption Policy"

We should try to define as:
      0x01 - Encrypt WEP 104:  All packets to/from the mobile station must
         be encrypted using standard 104 bit WEP.

      0x02 - Clear Text:  All packets to/from the mobile station do not
         require any additional crypto processing by the WTP.

      0x04 - Encrypt WEP 40:  All packets to/from the mobile station must
         be encrypted using standard 40 bit WEP.

      0x08 - Encrypt WEP 128:  All packets to/from the mobile station must
         be encrypted using standard 128 bit WEP.

      0x10 - Encrypt AES-CCMP 128:  All packets to/from the mobile station
         must be encrypted using 128 bit AES CCMP [7]

      0x20 - Encrypt TKIP-MIC:  All packets to/from the mobile station must
         be encrypted using TKIP and authenticated using Michael [18]

      0x40 - Encrypt CKIP:  All packets to/from the mobile station must be
         encrypted using Cisco TKIP.

and same for "auth type"

Best regards
Michael

> its length ? The RSN IE changes everytime there is a change in the 
> RSNAconfiguration for the WLAN
> 2. Isn't it likely for the WTP and AC to support more than one 
> encryptionalgorithm for the data

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Tue, 31 Jan 2006 15:53:41 -0800

1. I've created tracker entry 68.

2. No, but I do believe that some clarifications are required in the
text. The presence of a key is either because a shared key system is
being used (e.g., WEP), or it is a GTK (Group Transient Key), both of
which only allow for a single transform to be used. Issue 69 is created.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: sujathav [mailto:[email-masked]] 
> Sent: Sunday, January 29, 2006 9:45 PM
> To: [email-masked]
> Subject: [Capwap] IEEE 802.11 ADd WLAN and Update WLAN
> 
> 
> Hi,
> 
>  1. The Update WLAN is available for pushing new  
> configuration to the WTP when there are changes to the WLAN 
> configuration. It allows for change of encryption policy.
> 
> The issue is that for some cases, when 802.11i is used, a 
> change in encryption policy cannot be fully effected without 
> re-programming the beacons that are to be sent out from the 
> Radio for this WLAN.
> 
>  Don't we need, along with other fields . a place-holder in 
> the WLAN update request for the RSN IE and its length ? The 
> RSN IE changes everytime there is a change in the RSNA 
> configuration for the WLAN (like changing the Group Cipher / 
> Adding more Pairwise Ciphers etc) and can be sent out in the 
> WLAN Update .
> 
>  2. Isn't it likely for the WTP and AC to support more than 
> one encryption algorithm for the data from the  mobile 
> stations ? And the mobile stations can make a choice of the 
> encr algo that they can use.
> 
>     In that case, the Encryption policy defined as part of  
> Update WLAN ( Section 11.8.1.3) and Secn 11.8.1.1 (Add WLAN) 
> should  be a bit-map.
> 
> 
> Thanks
> Sujatha
> 
> 
> 
> 
> and is intended solely for the use of the individual to whom 
> it is addressed. It may contain  privileged or confidential 
> information and should not be circulated or used for any 
> purpose other than for what it is intended.
> 
> originator immediately. If you are not the intended 
> recipient, you are notified that you are strictly prohibited 
> from using, copying, altering, or disclosing the contents of 
> this message.
> the use of the information transmitted by this email 
> including damage from virus.